#ifndef FANTOME_H
#define FANTOME_H
#include "Personnage.h"
#include "Ogre.h"
#include "Menestrel.h"

#define TEMPS_MORT 5000


class Fantome: public Personnage
{
public:
    Fantome(Niveau *terrain, Ogre *ogre, Menestrel *menestrel, Controle controle = local);
    ~Fantome();
    void deplacer();
    void positionner(SDL_Rect position, bool coordonnee = false);
    void afficher(SDL_Surface *ecran);
    void tuer();
    bool vivant();
    bool getMultiKill(int nbFantomes);

private:
    Controle m_controle;
    Ogre *m_ogre;
    Menestrel *m_menestrel;
    Uint32 m_tempsRestant;
    bool m_vivant;
    static int m_multiKill;
};

#endif // FANTOME_H
