#include "transform.h"

SDL_Surface* transform(std::string const chaine, int const taille, SDL_Color couleur)
{
    // [1] Préparation du texte
    TTF_Font *police(0);
    police = TTF_OpenFont("Polices/droid.ttf",taille);

    // [2] Assignation de la surface
    SDL_Surface *texte(0);
    texte = TTF_RenderText_Blended(police, chaine.c_str(),couleur);

    // [3] Fermeture
    TTF_CloseFont(police);

    // [4] Retourne la surface
    return texte;
}

SDL_Surface* transform(std::string const chaine, int const taille)
{
    SDL_Color couleurNoire = {0,0,0};
    return transform(chaine,taille,couleurNoire);
}

SDL_Surface* transform(std::string const chaine)
{
    return transform(chaine,20);
}

std::string convertirEntierEnCaracteres(int numero)
{
    //[1]Préaparer
    std::string resultat;
    char caractere(0);

    //[2]S'auto appeler
    caractere=numero%10;
    caractere=caractere+48;
    numero/=10;

    if (numero!=0)
        resultat=convertirEntierEnCaracteres(numero);

    resultat+=caractere;


    //[3]Renvoi
    return resultat;
}///convertirEntierEnCaracteres(int numero)

