#include "Joueur.h"

Joueur::Joueur(Input *input, Niveau *terrain, Controle controle): Personnage(), m_input(input), m_controle(controle)
{
    m_terrain = terrain;
    m_direction = Arret;
    m_nouvDir = Arret;
}

void Joueur::positionner(SDL_Rect position, bool coordonnee)
{
    if(coordonnee)
    {
        m_pos.x = position.x;
        m_pos.y = position.y;
    }
    else
    {
        m_pos.x = position.x*LG_BLOC - (m_skin->w-LG_BLOC)/2;
        m_pos.y = position.y*LG_BLOC - (m_skin->h-LG_BLOC)/2;
    }
    m_direction = Arret;
}

void Joueur::afficher(SDL_Surface *ecran)
{
    SDL_BlitSurface(m_skin, 0, ecran, &m_pos);
}
