#ifndef JOUEUR_H_INCLUDED
#define JOUEUR_H_INCLUDED

#include "Personnage.h"
#include "Input.h"

class Joueur : public Personnage
{
public:
    Joueur(Input *input, Niveau *terrain, Controle controle = local);
    virtual ~Joueur(){}
    virtual void deplacer() = 0;
    virtual void afficher(SDL_Surface *ecran);
    virtual void positionner(SDL_Rect position, bool coordonnee = false);

protected:
    Input *m_input;
    Controle m_controle;
};

#endif // JOUEUR_H_INCLUDED
