#ifndef TRANSFORM_H_INCLUDED
#define TRANSFORM_H_INCLUDED

///Modifié le: 10/10/2013
///Objet: ajout de la fonction cpnvertirIntEnCaracteres

#include <iostream>
#include <string>

#include <SDL/SDL.h>
#undef main

#include <SDL/SDL_ttf.h>

/*
===La fonction transform===
    +Définition:
        Elle permet de convertir un string en SDL_Surface. Attention ! Stocker la valeur retournée dans
        un pointeur et n'oubliez pas le SDL_FreeSurface ! Sinon, risque de fuite de mémoire.

*/

SDL_Surface* transform(std::string const chaine, int const taille, SDL_Color couleur);
SDL_Surface* transform(std::string const chaine, int const taille);
SDL_Surface* transform(std::string const chaine);

std::string convertirEntierEnCaracteres(int numero);


#endif // TRANSFORM_H_INCLUDED
