#ifndef OGRE_H
#define OGRE_H

#include "Joueur.h"
#include "Input.h"

#define TEMPS_BERZERK 10000
#define VITESSE_BERZERK 2

class Ogre : public Joueur
{
public:
    Ogre(Input *input, Niveau *terrain, Controle controle = local);
    ~Ogre();
    void deplacer();
    void afficher(SDL_Surface *ecran);
    bool getBerzerk();
    void positionner(SDL_Rect position, bool coordonnee = false);

protected:
    SDL_Surface *m_skinBerzerk;
    bool m_berzerk;
    Uint32 m_timeBerzerk;
};

#endif // OGRE_H
